#! /usr/bin/env python

from lab.parser import Parser
import sys

parser = Parser()

parser.add_pattern('my_timespent', r'^Time spent finding heuristic value for first state: (.+)\.', type=int, required=False, flags='UM')
parser.add_pattern('my_lpVars', r'^LP variables: (.+)', type=int, required=False, flags='UM')
parser.add_pattern('my_percInit', r'^Percentage of the time spent with initialization of first LP with calculated optimal solution: (.+) %\.', type=float, required=False, flags='UM')
parser.add_pattern('my_lpCons', r'^LP constraints: (.+)', type=int, required=False, flags='UM')
parser.add_pattern('my_peakMem', r'^Peak memory in KB: (.+)\.', type=int, required=False, flags='UM')
parser.add_pattern('my_tsrequired', r'^Initial time steps required: (.+)\.', type=int, required=False, flags='UM')

parser.parse()

